Skip to main content
`Ctrl`+`K`

# MatRARtMultEqual

Compares matrix-vector products of C = BAB^t

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRARtMultEqual(Mat A, Mat B, Mat C, PetscInt n, PetscBool *flg)

Collective

## Input Parameters

- A - the first matrix

- B - the second matrix

- C - the third matrix

- n - number of random vectors to be tested

## Output Parameter

- flg - `PETSC_TRUE` if the products are equal; `PETSC_FALSE` otherwise.

## See Also

`Mat`, `MatMatMultEqual()`, `MatMultEqual()`, `MatMultAddEqual()`, `MatMultTransposeEqual()`

## Level

intermediate

## Location

src/mat/utils/multequal.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages